mail_location not set and autodetection failed: Mail storage autodetection failed with home=/home/USERNAME

Bug #512975 reported by Kees Cook on 2010-01-26
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
dovecot (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

Logins fail for new users (autodetection is always failing):

Jan 26 21:20:22 sec-lucid-amd64 dovecot: IMAP(tardvrnm): mail_location not set and autodetection failed: Mail storage autodetection failed with home=/home/tardvrnm
Jan 26 21:20:22 sec-lucid-amd64 dovecot: IMAP(tardvrnm): Fatal: Namespace initialization failed

The only way around this is to hard-code "mail_location" in the dovecot config which limits users from choosing mbox or Maildir. This is a regression from karmic, identified by:
http://bazaar.launchpad.net/~ubuntu-bugcontrol/qa-regression-testing/master/annotate/head%3A/scripts/test-fetchmail.py

Related branches

Kees Cook (kees) on 2010-01-26
tags: added: regression-potential
Thierry Carrez (ttx) on 2010-01-27
Changed in dovecot (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dovecot - 1:1.2.9-1ubuntu3

---------------
dovecot (1:1.2.9-1ubuntu3) lucid; urgency=low

  * debian/patches/fix-mbox-autodetection.patch: Allow mailbox creation when autodetecting.
    (LP: #512975)
 -- Chuck Short <email address hidden> Fri, 19 Feb 2010 15:04:29 -0500

Changed in dovecot (Ubuntu Lucid):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers